Name:           xpad
Version:        5.8.0
Release:    1%{?dist}
Summary:        Sticky notepad for GTK

License:        GPLv3+
URL:            https://launchpad.net/xpad
Source0:        https://launchpad.net/xpad/trunk/%{version}/+download/%{name}-%{version}.tar.bz2

BuildRequires: make
BuildRequires:  gcc
BuildRequires:  gtk3-devel
BuildRequires:  libSM-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  gtksourceview4-devel
BuildRequires:  libappindicator-devel
BuildRequires:  autoconf
BuildRequires:  libappstream-glib

%description
Xpad is a sticky note application that strives to be simple, fault-tolerant, 
and customizable. It consists of independent pad windows; each is basically a 
text box in which notes can be written. Despite being called xpad, all that is
needed to run or compile it is the GTK+ 2.0 libraries.

%prep
%autosetup -p1

%build
./autogen.sh
%configure

make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

desktop-file-install  \
        --delete-original \
        --dir=%{buildroot}/%{_datadir}/applications \
        %{buildroot}/%{_datadir}/applications/%{name}.desktop

appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.appdata.xml

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%license COPYING
%{_bindir}/%{name}
%{_datadir}/xpad
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/xpad.appdata.xml
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*

%changelog
* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.8.0-1
- initial build
